## Index

### Functions

- Delay

## Functions

### Delay

- Delay(delayInSeconds: number, repeat?: boolean): viewModelInitFunc

- - Defined in src/view-model/Delay.ts:9

  Setups a timer and disposes automatically when view model is destroyed. This will execute given function only once unless `repeat` argument is `true`.

  #### Parameters

  - ##### delayInSeconds: number

    delay in seconds

  - ##### Default value repeat: boolean = false

    repeat at given delay

  #### Returns viewModelInitFunc

Generated using TypeDoc